package com.micer.easyball.service;

import com.micer.easyball.pojo.Club;
import com.micer.easyball.pojo.ResponseResult;
import com.micer.easyball.pojo.User;

public interface UserService {
    ResponseResult switchRole(String roleName);

    ResponseResult getRole();

    ResponseResult getCurrentRole();

    ResponseResult switchClub(String clubName);

    ResponseResult getClub();

    ResponseResult getCurrentClub();

    ResponseResult addUser(String telephone);

    ResponseResult addUserToClub(String telephone, String role);

    ResponseResult deleteUserFromClub(String telephone);

    ResponseResult modifyRole(String telephone, String role);

    ResponseResult modifyPassword(String oldPassword, String newPassword);

    ResponseResult modifyUsername(String newUserName);

    ResponseResult getLoginUserInfo();

}
